<div align="center">
    <img src="../../docs/media/logo.png" alt="generator-phaser-plus logo" title="generator-phaser-plus">
    <div>
        <a href="https://www.npmjs.com/package/generator-phaser-plus">
            <img
                alt="npm version"
                src="https://img.shields.io/npm/v/generator-phaser-plus/next.svg?style=flat-square">
        </a>
        <a href="https://david-dm.org/rblopes/generator-phaser-plus?path=packages/generator-phaser-plus/">
            <img
                alt="dependencies status"
                src="https://david-dm.org/rblopes/generator-phaser-plus/status.svg?style=flat-square&path=packages/generator-phaser-plus">
        </a>
        <a href="https://david-dm.org/rblopes/generator-phaser-plus?path=packages/generator-phaser-plus/&type=dev">
            <img
                alt="devDependencies status"
                src="https://david-dm.org/rblopes/generator-phaser-plus/dev-status.svg?style=flat-square&path=packages/generator-phaser-plus">
        </a>
        <a href="https://travis-ci.org/rblopes/generator-phaser-plus">
            <img
                alt="Travis CI Build Status"
                src="https://img.shields.io/travis/rblopes/generator-phaser-plus.svg?style=flat-square">
        </a>
    </div>
</div>

>   Create [Phaser](http://phaser.io/) Web games with ease.

`generator-phaser-plus` is a Yeoman plugin that makes creating Phaser Web game projects simple, quick and easy.


Quick Start
-----------

>   Note: Assuming you have already installed [Node.js](https://nodejs.org/).

1.  **Install [Yeoman](http://yeoman.io/) and `generator-phaser-plus`:**

    ```sh
    npm install --global yo                    # Install Yeoman if you don't have it yet.
    npm install --global generator-phaser-plus # Install generator-phaser-plus.
    ```

2.  **Create a directory for your new project and go into it:**

    ```sh
    mkdir my-awesome-game
    cd my-awesome-game
    ```

3.  **Start creating your new project:**

    ```sh
    yo phaser-plus
    ```

4.  **Launch it!**

    ```sh
    npm start
    ```

Have a look at the [user's manual][m] and learn more about available features, including [sub-generators and how to use them][s], [how projects are structured][p], [available development tasks][t], and a [hands-on tutorial][g] presenting the general workflow and how you can speed up your game development. You'll also find out more about the [latest development updates][n] and how you can [help contributing to this project][c].


License
-------

This software is distributed under the terms of the [MIT License](../../LICENSE.md).


<!-- Links -->

[n]: ../../docs/news.md
[m]: ../../docs/index.md
[t]: ../../docs/tasks.md
[c]: ../../docs/contributing.md
[p]: ../../docs/project-layout.md
[g]: ../../docs/quick-start-guide.md
[s]: ../../docs/generator.md#sub-generators
